Start a session with your API key
Exchanges your API key for session cookies (trepa-token and trepa-refresh).
POST
/
auth
/
session
Start a session with your API key
curl --request POST \
--url https://api.trepa.app/auth/session \
--header 'trepa-api-key: <api-key>'const options = {method: 'POST', headers: {'trepa-api-key': '<api-key>'}};
fetch('https://api.trepa.app/auth/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {'trepa-api-key': '<api-key>'}};
fetch('https://api.trepa.app/auth/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/auth/session"
headers = {"trepa-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/auth/session"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("trepa-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Authorizations
Trepa API key for integrations. Exchange via POST /auth/session for session cookies.
Response
Session has been established successfully.
Last modified on August 12, 2026
⌘I
Start a session with your API key
curl --request POST \
--url https://api.trepa.app/auth/session \
--header 'trepa-api-key: <api-key>'const options = {method: 'POST', headers: {'trepa-api-key': '<api-key>'}};
fetch('https://api.trepa.app/auth/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {'trepa-api-key': '<api-key>'}};
fetch('https://api.trepa.app/auth/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/auth/session"
headers = {"trepa-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/auth/session"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("trepa-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}